NGCP-API(1)

NAME
sends a put request to NGCP REST API

SYNOPSIS
ngcp-api-put [-f FILEPATH] [-v] [-h] URL [content_type]

DESCRIPTION
ngcp-api-put sends a put request to NGCP REST API.

OPTIONS

-f FILEPATH
    use input file instead of stdin.

-v  verbose mode.

-h  print usage.

URL Url for the request

content_type
    The default is 'application/json'

EXAMPLES

echo '{"body":"test","from_email":"test","name":"test","reseller_id":4,"subject":"test"}'\
    |ngcp-api-put 'https://example.org:1443/api/emailtemplates/2'

ngcp-api-put -f ../test_put.json https://127.0.0.1:1443/api/domains/ 'application/json'

SEE ALSO

ngcp-api-get(1), ngcp-api-post(1), ngcp-api-patch(1), ngcp-api-delete(1)

https://ngcp-server.domain:1443/api

COPYRIGHT
2014 Sipwise Development Team <support@sipwise.com>